## Read data
SAdata   <- as.matrix(read.csv("Incidence.csv", header = TRUE))

S <- matrix(0, nrow = nrow(SAdata), ncol = 7)
S[, 1: 7] <- SAdata[, 1:7]

W <- matrix(0, nrow = nrow(SAdata), ncol = 12)
W[, 1:12] <- SAdata[, 8:19]


result <- matrix(0, nrow = 1000, ncol = 3)
for(n in 1:6){
  for(i in 1:1000){
    Ss <- matrix(0, nrow = nrow(SAdata), ncol = n)
    Ss[,1:n]     <- S[,sample(1:7,n)]
    Ssum         <- as.matrix(rowSums(Ss))
    Ssum         <- ifelse(Ssum==0, 0, 1)

    Ws <- matrix(0, nrow = nrow(SAdata), ncol = (2*n))
    Ws[,1:(2*n)] <- W[,sample(1:12,(2*n))]
    Wsum         <- as.matrix(rowSums(Ws))
    Wsum         <- ifelse(Wsum==0, 0, 1)
    
    Share <- ifelse((Ssum + Wsum)==2, 1, 0)
    UniS  <- ifelse((Ssum - Wsum)==1, 1, 0)
    UniW  <- ifelse((Wsum - Ssum)==1, 1, 0)
    
    Share <- sum(Share)
    UniS  <- sum(UniS)
    UniW  <- sum(UniW)
    
    result[i,1] <- Share
    result[i,2] <- UniS
    result[i,3] <- UniW
  }
  FSname <- paste("Comp_SA_result",n,".csv")
  write.table(result, file = FSname, sep=",")  
}
