## Read data
SAdata   <- as.matrix(read.csv("Incidence.csv", header = TRUE))

D1 <- matrix(0, nrow = nrow(SAdata), ncol = 7)
D1[, 1: 7] <- SAdata[, 1:7]

D2 <- matrix(0, nrow = nrow(SAdata), ncol = 12)
D2[, 1:12] <- SAdata[, 8:19]


result <- matrix(0, nrow = 1000, ncol = 3)
for(n in 1:12){
  for(i in 1:1000){
    D1s <- matrix(0, nrow = nrow(SAdata), ncol = 4)
    D1s[,1:4]     <- D1[,sample(1:7,4)]
    D1sum         <- as.matrix(rowSums(D1s))
    D1sum         <- ifelse(D1sum==0, 0, 1)

    D2s <- matrix(0, nrow = nrow(SAdata), ncol = n)
    D2s[,1:n]     <- D2[,sample(1:12,n)]
    D2sum         <- as.matrix(rowSums(D2s))
    D2sum         <- ifelse(D2sum==0, 0, 1)
    
    Share <- ifelse((D1sum + D2sum)==2, 1, 0)
    UniD1 <- ifelse((D1sum - D2sum)==1, 1, 0)
    UniD2 <- ifelse((D2sum - D1sum)==1, 1, 0)
    
    Share <- sum(Share)
    UniD1 <- sum(UniD1)
    UniD2 <- sum(UniD2)
    
    result[i,1] <- Share
    result[i,2] <- UniD1
    result[i,3] <- UniD2
  }
  FSname <- paste("Comp_SA_result",n,".csv")
  write.table(result, file = FSname, sep=",")  
}
